a, b, n = [int(m) for m in input().split()]
pole_wyniku = 0
wynik_a = 0
wynik_b = 0
for krotszy_bok in range(1, a + 1):
    dluzszy_bok = n // krotszy_bok
    if dluzszy_bok < krotszy_bok:
        break
    if dluzszy_bok > b:
        dluzszy_bok = b
    pole = krotszy_bok * dluzszy_bok
    if pole >= pole_wyniku:
        pole_wyniku = pole
        wynik_a = krotszy_bok
        wynik_b = dluzszy_bok
print(wynik_a, wynik_b)
